Summary:	Hierarchical Data Format Library
Name:		HDF
Version:	4.2r4
Release:	8
License:	BSD
Group:		Development/C
URL:		http://www.hdfgroup.org/
Source0:	ftp://ftp.hdfgroup.org/HDF/HDF_Current/src/%{name}%{version}.tar.gz
Patch0:		hdf-4.2r3-maxavailfiles.patch
Patch1:		hdf-tirpc.patch
Patch4:		hdf-4.2r4-buffer.patch
Patch6:		hdf4.2r1-libm.patch
Patch7:		HDF4.2r4-format_not_a_string_literal_and_no_format_arguments.diff
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	gcc-gfortran
BuildRequires:	groff
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	pkgconfig(netcdf)
BuildRequires:	pkgconfig(zlib)
Provides:	HDF-devel = %{EVRD}

%description
HDF is a multi-object file format that facilitates the transfer of various
types of scientific data between machines and operating systems. 
HDF allows self-definitions of data content and easy extensibility for
future enhancements or compatibility with other standard formats.
HDF includes Fortran and C calling interfaces, and utilities to
prepare raw image of data files or for use with other NCSA software.

The HDF library contains interfaces for storing and retrieving compressed or
uncompressed 8-bit and 24=bit raster images with palettes,
n-Dimensional scientific datasets and binary tables. AN interface is also
included that allows arbitrary grouping of other HDF objects.

%files
%doc COPYING README
%{_libdir}/libdf.*a
%{_libdir}/libmfhdf.*a
%{_libdir}/libhdf4.settings
%{_includedir}/*
%{_mandir}/*/*

#----------------------------------------------------------------------------

%package util
Summary:	HDF utilities and test data files
Group:		Graphics
Requires:	%{name} = %{EVRD}

%description util
This package contains utilities for HDF data manipulation and
test data files.

%files util
%dir %{_datadir}/hdf
%dir %{_datadir}/hdf/samples
%{_bindir}/*
%attr(644,root,root) %{_datadir}/hdf/samples/*

#----------------------------------------------------------------------------

%prep
%setup -q -n HDF%{version}
%patch0 -p1 -b .maxavailfiles
%patch1 -p1
%patch4 -p1 -b .buffer
%patch6 -p1 -b .libm
%patch7 -p1 -b .format_not_a_string_literal_and_no_format_arguments

autoreconf -fi

# Make it lib64 aware
find . -name Makefile.in | \
  xargs perl -pi -e "s,^(libdir|LIBDIR)\s+=.+,\1 = \\\$(prefix)/%{_lib},"

%build
export F77=gfortran
export FC=gfortran

# Build with PIC in case static library is built into a DSO afterwards
%ifarch ia64 x86_64
export CFLAGS="%{optflags} -ansi -D_BSD_SOURCE -DPC -DPIC -fPIC"
export CXXFLAGS=$CFLAGS
export FFLAGS="%{optflags}"
%else
export CFLAGS="%{optflags} -ansi -D_BSD_SOURCE -DPC"
export CXXFLAGS=$CFLAGS
export FFLAGS="%{optflags}"
%endif

%configure2_5x \
	--prefix=%{_prefix} \
	--enable-production
%make LIBS="-lz -ljpeg -ltirpc"

mkdir -p samples
cp -a hdf/util/testfiles/* samples

%install
%makeinstall_std
# remove files already provided by other packages (libjpeg, netcdf, zlib)
rm -f %{buildroot}%{_includedir}/{jconfig.h,jerror.h,jmorecfg.h,jpeglib.h} \
    %{buildroot}%{_includedir}/{zconf.h,zlib.h} \
    %{buildroot}%{_bindir}/{ncdump,ncgen} \
    %{buildroot}%{_includedir}/netcdf.{h,inc,f90} \
    %{buildroot}%{_mandir}/man1/ncgen.1 \
    %{buildroot}%{_mandir}/man1/ncdump.1
mv -f %{buildroot}%{_bindir}/vmake %{buildroot}%{_bindir}/vmake-hdf
mkdir -p %{buildroot}%{_datadir}/hdf
cp -aR samples %{buildroot}%{_datadir}/hdf/

# remove unpackaged files
rm -f %{buildroot}%{_prefix}/man/man1/nc{gen,dump}.1*


%changelog
* Tue Jul 08 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.2r4-8
+ Revision: d1359e1
- Try to fix linkage


